Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 00:02
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 45 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 43, 44, 45, 46, 47, ..., 87, 88, 89 Next
Author Message
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 12:29    Post subject:  

Is sad that GTK youtube viewer didn't come installed on newest Dpup.

But...if I get the QT 4.8.0, Gstreamer sfs pack, could I run Minitube 1.8?

It just came out recently, has anyone tried compiling it yet?
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 07 Jul 2012, 13:44    Post subject:  

Quote:
Is sad that GTK youtube viewer didn't come installed on newest Dpup.

Thank you of the reminding. I didnt notice that when I used gtk-youtube-viewer this morning with newest Dpup. Lol. I am atm compiling new stuff....so I cant check that if it is truly missing I did update it to the 2.0.4 this morning.. I suspect that the report is false. Anyway....I have updated to the next release it to the 2.0.4 version.

Minitube. I have no idea. But try to compile it and then you know.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 13:48    Post subject:  

Okay, then I'll give it a shot.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 14:01    Post subject:  

Ok, I downloaded from the main Minitube site and it's not the source code, it's a portable binary.
Still good though.

Anyway to make a pet out of a portable binary? Anyway, it says I'm missing the h.264 codec.
Which is odd because I installed the Qt4.8 gstreamer pet along with the gstreamer deps pet. :/
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 14:13    Post subject:  

Ok, here's Minitube 1.8.

It works but I'm missing a codec, but I'm sure you guys can get it working. Smile
minitube.pet
Description  Minitube 1.8. Install the Qt 4.8.0, gstreamer package and deps.
pet

 Download 
Filename  minitube.pet 
Filesize  684.27 KB 
Downloaded  228 Time(s) 
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 14:17    Post subject:  

Actually don't download that.

I have to redo it.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 15:09    Post subject:  

Ok I compiled everything but I don't know how to make it a pet.

It works! Though I'm missing a codec.

Some help?
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 07 Jul 2012, 16:11    Post subject:  

Gnuxo. Compiling and making pet is one step from contributor Smile
To create a pet you need to create folder model of the desired folders and subfolders. First create main folder which will be the pet name ie minitunes-xxx-dpup ....then create subfolders under that main folder like /usr/bin and /usr/share and there needed subfolders applications, pixmaps and so on...
Easiest is to extract couple of pets and check what there is...use rox right click > extract pet.

When you have folder structure and the content ie bins, libs, minitunes.desktop ...etc copied in place....use rox right click > dir2pet.

About gstreamer and missing dependencies. Libgstx264 should be there. It needs libx264-112 and I have now libx264-118 so gstreamer-plugins-deps overwrites that existing one with gstreamer needed one.
Soon dpup will have gstreamer incompatible libvpx and libx264 even more....lol.
Well....gstreamer might need total recompile if.....I am going to do that. I dont like gstreamer much. It is quite big and its modular structure needs a lot libs to support it. You can think libgst stuff as frontends and then you need whole a lot backend libs which makes gstreamer damn big.

Okay....that about rambling-bumbling-babling....etc...

Learn to make a pet is easy....just open couple of pets...and you see the structure. To create that folder structure is hardesta part. mkdir -p in terminal is your friend.

My small bug fix reupload has turned out to be big multimedia backend update. I have compiled from latest gits: libx264, libvpx, ffmpeg, and after that vlc-2.0.1, mozilla-vlc-plugin, xine-lib and gxine.
Next dpup will use them and I have to reupload those to the exprimo repo. I can tell that ffmpeg plays all these first 4 wma lossless files. Didnt check more. There is restriction though, only up to 16 bit are supported, whatever that means:
http://download.wavetlan.com/SVV/Media/HTTP/http-wma.html

Vlc now plays 7 out 8 matroska test files. All my media files can be played. Yeah Pmusic supports now wma lossless, I used it to test ffmpeg.

Also gxine-xinelib worked fine.

Vlc-mozilla-plugin is now in vlc-2.0.1 pet (when I upload it). It plays youtube videos without flashplayer. I just changed /usr/local/bin/defaultmediaplayer to vlc and Firefox changed the Applications Content type to VLC Web Plugin. Nice. No need to hassle more. And you get another mediaplayer embedded to the Firefox.

I am woofing the build now. Then I will upload those updates to the exprimo repo.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 19:03    Post subject:  

Well, I suppose it is a bit irritating that Gstreamer needs so many libs. But what about Xine?
I was thinking about the Xine-Ui and how it's been updated recently.

Does Xine require alot of libraries too?

I don't know if the newest Minitunes will play youtube but if I make the pet and upload it, then other puppies may be able to use it.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 07 Jul 2012, 19:10    Post subject:  

I have Xine-libs backend and Gxine frontend ie GUI in the exprimo repo already. Both are latest versions. Works fine for me, I can get it working with my dvb-tuner stick also. I recompiled them today...and I will probably upload my new multimedia stuff tomorrow.

If we are speaking of youtube searching and viewing without browser...there is plenty which do them. Gtk-youtube-viewer, Smtube, Umplayer....I dont think there is much niche for Minitube anyway. If it works like Minitunes....I wont be very impressed. Candy looking, not much features. Okay, probably youtube video download will be useful..but those other apps do the same. Gtk-youtube-viewer do that with 2 clicks.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 19:24    Post subject:  

The pet works! I mean, it will open, I still don't have h.264 support.

Thanks for your help!!!!

Hopefully, the pet can at least work on other puppies or the next version.
minitunes-1.8.0-dpup.pet
Description 
pet

 Download 
Filename  minitunes-1.8.0-dpup.pet 
Filesize  1.05 MB 
Downloaded  206 Time(s) 
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 07 Jul 2012, 20:12    Post subject:  

Gnuxo. I did strip and reorganize your pet as educational purpose. Next thing. After compiling you get the folder structure automatically and also stripping automatically by using new2dir command. Search the forum to get more information. I want to control my compiles more...so I do install the packages with command:
make install DESTDIR=/path/to/the/folder/with/purposed/folder/name
and then I change to main folder which has that installed folder and launch in console: strippkg [foldername]
and then I split it with command splitpkg [foldername]
DOTdesktop file usually needs some manual work, the icon needs DOTpng to the end and then I reduce the icons selection, usually just copy one size 48*48 to the pixmaps folder and then in DOTdesktop file I point the icon there or in fact it is automatically found from folder pixmaps when there is just minitube.png in icon row.

and...the result is attached. And I think the libx264-114 unresolved dependency error will remain unresolved. there is something missing or something is buggy....it would need gstreamer debugging with gstreamer debugging tools. I dont bother start to learn them.
minitube_NLS-1.8.0-dpup.pet
Description 
pet

 Download 
Filename  minitube_NLS-1.8.0-dpup.pet 
Filesize  156.04 KB 
Downloaded  377 Time(s) 
minitube-1.8.0-dpup.pet
Description 
pet

 Download 
Filename  minitube-1.8.0-dpup.pet 
Filesize  265.07 KB 
Downloaded  614 Time(s) 
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sat 07 Jul 2012, 20:58    Post subject:  

Thanks.

Also thanks for fixing my little spelling error. Confused

It's my first pet. So, I'm sure to get it right eventually. (maybe)
There's a few applications that I want to get running on puppy so I'll be working on getting them to pet form.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Sat 07 Jul 2012, 22:52    Post subject: libx264  

pemasu wrote:
Libgstx264 should be there. It needs libx264-112 and I have now libx264-118 so gstreamer-plugins-deps overwrites that existing one with gstreamer needed one.

Don't worry about libx264 for running environment. The file libx264.so.112 and libx264.so.118 can co-exist.
The issue is in development package, to which file the link libx264.so to be.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
recobayu


Joined: 15 Sep 2010
Posts: 114
Location: indonesia

PostPosted: Sun 08 Jul 2012, 09:17    Post subject: Send-to Backgrounds
Subject description: no "Send-to Backgrounds" in /usr/bin
 

Pemasu, i found a little bug in send to background with right click.
i look at /usr/bin there are no script file "Send-to Backgrounds". so i add that file from slacko to this dpup.
that's all, thanks. Very Happy
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 45 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 43, 44, 45, 46, 47, ..., 87, 88, 89 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1108s ][ Queries: 13 (0.0339s) ][ GZIP on ]